Fix staging/copy.sh to work on mac and linux

pull/6/head
Maciej Szulik 2016-12-12 17:40:43 +01:00
parent f071c7701d
commit 6bc12f2a69
1 changed files with 2 additions and 4 deletions

View File

@ -17,7 +17,6 @@
set -o errexit
set -o nounset
set -o pipefail
set -x
VERIFYONLY=false
while getopts ":v" opt; do
@ -45,8 +44,7 @@ CLIENT_REPO_TEMP="${MAIN_REPO}/staging/src/${CLIENT_REPO_TEMP_FROM_SRC}"
DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
cleanup() {
ls "${CLIENT_REPO_TEMP}"
# rm -rf "${CLIENT_REPO_TEMP}"
rm -rf "${CLIENT_REPO_TEMP}"
}
trap cleanup EXIT SIGINT
@ -88,7 +86,7 @@ GO15VENDOREXPERIMENT=1 godep save ./...
popd > /dev/null
echo "moving vendor/k8s.io/kubernetes"
cp -rn "${CLIENT_REPO_TEMP}"/vendor/k8s.io/kubernetes/ "${CLIENT_REPO_TEMP}"/ || true
cp -rn "${CLIENT_REPO_TEMP}"/vendor/k8s.io/kubernetes/* "${CLIENT_REPO_TEMP}"/
rm -rf "${CLIENT_REPO_TEMP}"/vendor/k8s.io/kubernetes
# client-go will share the vendor of the main repo for now. When client-go
# becomes a standalone repo, it will have its own vendor